
#include <Wire.h>
#include <Adafruit_Sensor.h>
#include "Adafruit_TMP006.h"
#include <Servo.h>


Servo myservo;  
Adafruit_TMP006 tmp006;

int pinButton = 13; // manual shutter control
int heatingPad = 7; // heating pad control
int padTimeOff =100;
float safeTemperature =55;
int padTimeOn =120;
long time = 0;

// SHUTTERS settings
int ipsi = 10;   // contra motor pin
int contra = 11; // ipsi motor pin
int openIpsi = 0; 
int closeIpsi = 180;
int openContra = 180;
int closeContra = 0; 
int initContra = openContra; // default position
int initIpsi = openIpsi;
int contraPos = initContra; // actual position
int ipsiPos = initIpsi;

float objt = 0;
float diet = 0;
int input=0;
bool buttonStatus = true;

void setup() {
Serial.begin(9600);
pinMode(pinButton,INPUT);
pinMode(heatingPad,OUTPUT);

// DEFAULT HEATING PAD OFF
digitalWrite(heatingPad,LOW);


initMotor(contra,initContra);
initMotor(ipsi,initIpsi);
 
  if (! tmp006.begin()) {
    Serial.println("No Temperature sensor found");
    while (1);
  }
 
  time = millis() + padTimeOff;
}

void loop() {
 
 
 
  // BUTTON STATUS
  if (digitalRead(pinButton)==HIGH && buttonStatus){
    
    if (contraPos == closeContra || ipsiPos == closeIpsi){
       contraPos = movMotor(contra,openContra,contraPos);
       ipsiPos = movMotor(ipsi,openIpsi,ipsiPos);
       Serial.println("EYE:BIN;");
    }else{
       contraPos = movMotor(contra,closeContra,contraPos);
       ipsiPos = movMotor(ipsi,closeIpsi,ipsiPos);
       Serial.println("EYE:BLIND;");
    }
    
    buttonStatus=false;
  }else if(!buttonStatus && digitalRead(pinButton)==LOW) {
    buttonStatus=true;
  }


 objt = tmp006.readObjTempC();
   
   // HEATING PAD
   if (millis() > time && objt < safeTemperature){
     digitalWrite(heatingPad,HIGH);
     delay(padTimeOn);
     digitalWrite(heatingPad,LOW);
       // TEMPERATURE
    
     diet = tmp006.readDieTempC();
     Serial.print("TEMP:"); Serial.print(diet);Serial.println(";");
     Serial.print("PAD:"); Serial.print(objt);Serial.println(";");
     time =millis()+padTimeOff;
    }   
    
   if (Serial.available()>0){
    input = Serial.parseInt();
     switch (input) {
      case 1: // ipsi
         contraPos = movMotor(contra,closeContra,contraPos);
         ipsiPos = movMotor(ipsi,openIpsi,ipsiPos);
         Serial.println("EYE:IPSI;");
         break;
      case 2: // contra
        contraPos = movMotor(contra,openContra,contraPos);
        ipsiPos = movMotor(ipsi,closeIpsi,ipsiPos);
        Serial.println("EYE:CONTRA;");
        break;
      case 3: // bin
        contraPos = movMotor(contra,openContra,contraPos);
        ipsiPos = movMotor(ipsi,openIpsi,ipsiPos);
        Serial.println("EYE:BIN;");
        break;
      case 4: // blind
       contraPos = movMotor(contra,closeContra,contraPos);
       ipsiPos = movMotor(ipsi,closeIpsi,ipsiPos);
       Serial.println("EYE:BLIND;");
       break;
    }
  }
    
}

